import 'dart:async';
import 'dart:io' show File;
import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

class IosRotateImage {
  static const MethodChannel _channel = const MethodChannel('ios_rotate_image');

  static Future<File> rotateImageIOS({@required String path, @required int radius}) async {
    assert(path != null);
    final String result = await _channel.invokeMethod('rotateImage',
        <String, dynamic>{'path': path, "radius" : radius.toString()});
    return File(result);
  }
}
